Package ru.bitel.bgbilling.kernel.task.server.bean

# Class TaskData

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.task.common.bean.PackageTaskData
ru.bitel.bgbilling.kernel.task.server.bean.TaskData

All Implemented Interfaces:
  `Serializable`, `Runnable`, `Idable`

public class TaskData extends PackageTaskData implements Runnable
Репрезентация задачи планировщика в БД. Содержит параметры запуска задачи, настраиваемые в клиенте, а также непосредственно экземпляр задачи.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskData(int month, int day, int dayOfWeek, int hour, long min)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canWork(Calendar time)`
  возвращает, может ли отработать в это время
  `void`
  `init(Calendar time, Setup setup)`
  `void`
  `run()`
  `TaskData`
  `setDependentTasks(List<DependentTask> dependentTasks)`
  `TaskData`
  `setId(int id)`
  Устанавливает id объекта

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.common.bean.PackageTaskData

  `getComment, getDay, getDayOfWeek, getDependentTasks, getHour, getMin, getMonth, getPeriod, getPriority, getTaskStatus, setComment, setDay, setDayOfWeek, setHour, setMin, setMonth, setPeriod, setPriority, setTaskStatus`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskData

    public TaskData(int month, int day, int dayOfWeek, int hour, long min)

- ## Method Details

  - ### init

    public void init(Calendar time, Setup setup)

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`

  - ### canWork

    public boolean canWork(Calendar time)
    возвращает, может ли отработать в это время
    Parameters:
      `time` - время (текущее)
    Returns:
      true - если всё подходит, надо выполнять.

  - ### setDependentTasks

    public TaskData setDependentTasks(List<DependentTask> dependentTasks)
    Overrides:
      `setDependentTasks` in class `PackageTaskData`

  - ### setId

    public TaskData setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `PackageTaskData`